//
//  MedtechRunAction.hh
//  medtech
//
//  Created by Baranyai David on 2018. 04. 01..
//

#ifndef MedtechRunAction_hh
#define MedtechRunAction_hh

#include <stdio.h>
#include "G4UserRunAction.hh"
#include "G4Accumulable.hh"
#include "globals.hh"
#include "MedtechPrimaryGeneratorAction.hh"
#include "MedtechDetectorConstruction.hh"
#include "G4RunManager.hh"
#include "G4Run.hh"
#include "G4AccumulableManager.hh"
#include "G4LogicalVolumeStore.hh"
#include "G4LogicalVolume.hh"
#include "G4UnitsTable.hh"
#include "G4SystemOfUnits.hh"
#include "MedtechRun.hh"

class MedtechRunAction : public G4UserRunAction
{
public:
    MedtechRunAction();
    virtual ~MedtechRunAction();
    
    virtual G4Run* GenerateRun();
    virtual void BeginOfRunAction(const G4Run*);
    virtual void   EndOfRunAction(const G4Run*);
    
    void AddEdep (G4double edep);
    
private:
    G4Accumulable<G4double> fEdep;
    G4Accumulable<G4double> fEdep2;
};

#endif /* MedtechRunAction_hh */
