//
//  Parameters.hh
//  medtech
//
//  Created by Baranyai David on 2018. 04. 03..
//

#ifndef Parameters_hh
#define Parameters_hh

#include <stdio.h>

class Parameters
{
private:
    /* Here will be the instance stored. */
    static Parameters* instance;
    
    /* Private constructor to prevent instancing. */
    Parameters();
    
    int ParticleEnergy;
    int hdegree;
    int vdegree;
    
    double box_size;
    
public:
    /* Static access method. */
    static Parameters* getInstance();
    
    double GetParticleEnergy();
    double GetHDegree();
    double GetVDegree();
    
    double GetHShift();
    double GetVShift();
    
    void SetParticleEnergy(int);
    void SetHDegree(int);
    void SetVDegree(int);
    
    void SetBoxSize(double);
    double GetBoxSize();
};

#endif /* Parameters_hh */
