//
//  MedtechPhysicsList.cc
//  medtech
//
//  Created by Baranyai David on 2018. 04. 01..
//

#include "MedtechPhysicsList.hh"
#include "G4DecayPhysics.hh"
#include "G4EmStandardPhysics.hh"

MedtechPhysicsList::MedtechPhysicsList() : G4VUserPhysicsList()
{
    defaultCutValue = 1.0*cm; //define production thresholds (the same for all particles)
}

MedtechPhysicsList::~MedtechPhysicsList()
{
    
}

void MedtechPhysicsList::ConstructProcess()
{
    
}

void MedtechPhysicsList::ConstructParticle()
{
    //define the particles involved in the simulation
    G4Electron::ElectronDefinition();
    G4Positron::PositronDefinition();
    G4Gamma::GammaDefinition();
}

void MedtechPhysicsList::SetCuts()
{
    //SetCutsWithDefault(); //set the production threshold
    //the user can define different cuts for different particles or different regions
    SetCutValue(cutForGamma, "gamma");
    SetCutValue(cutForElectron, "e-");
    SetCutValue(cutForPositron, "e+");
}
