//
//  Parameters.cc
//  medtech
//
//  Created by Baranyai David on 2018. 04. 03..
//

#include "Parameters.hh"

Parameters* Parameters::getInstance()
{
    if (instance == 0)
    {
        instance = new Parameters();
    }
    
    return instance;
}

Parameters::Parameters() : ParticleEnergy(6), hdegree(0), vdegree(0), box_size(10)
{
    
}

/* Null, because instance will be initialized on demand. */
Parameters* Parameters::instance = 0;

double Parameters::GetParticleEnergy()
{
    return ParticleEnergy;
}

double Parameters::GetHDegree()
{
    return (1./45.)*(double)hdegree;
}

void Parameters::SetHDegree(int d)
{
    hdegree = d;
}

double Parameters::GetHShift()
{
    return hdegree;
}

double Parameters::GetVDegree()
{
    return (1./45.)*(double)vdegree;
}

void Parameters::SetVDegree(int d)
{
    vdegree = d;
}

double Parameters::GetVShift()
{
    return vdegree;
}

void Parameters::SetParticleEnergy(int p)
{
    ParticleEnergy = p;
}

void Parameters::SetBoxSize(double s)
{
    box_size = s;
}

double Parameters::GetBoxSize()
{
    return box_size;
}
